# Asterisk Project : Asterisk 13 AGICommand_say date

Created by wikibot on Aug 08, 2014

# SAY DATE

### Synopsis

Says a given date.

### Description

Say a given date, returning early if any of the given DTMF digits are received on the channel. Returns `0` if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or `-1` on error/hangup.

### Syntax

    SAY DATE DATE ESCAPE_DIGITS

##### Arguments

- `date` - Is number of seconds elapsed since 00:00:00 on January 1, 1970. Coordinated Universal Time (UTC).
- `escape_digits`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538